Contents

# StrComp Function

두 문자열을 비교하고 비교 결과를 나타내는 정수 값을 돌려 줍니다.

### Syntax:

    StrComp (string1 As String, string2 As String[, Compare As Integer]) As Integer

### Parameters:

string1: Any string expression

string2: Any string expression

Compare: This optional parameter sets the comparison method. If Compare = 1, the string comparison is case-sensitive. If Compare = 0, no distinction is made between uppercase and lowercase letters.

### Return value:

Integer

- If string1 < string2 the function returns -1

- If string1 = string2 the function returns 0

- If string1 > string2 the function returns 1

### Error codes:

5 잘못된 프로시저 호출입니다.

### Example:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub